Bug 799203 - Ensure sync log is available while sync operation is still in progress
Ensure sync log is available while sync operation is still in progress
Status: CLOSED EOL
Product: PulpDist
Classification: Community
Component: Web App (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: 0.2.0
: ---
Assigned To: Nick Coghlan
:
: 805794 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-02 01:21 EST by Nick Coghlan
Modified: 2016-09-28 23:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-28 23:04:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Coghlan 2012-03-02 01:21:47 EST
If a sync job runs into trouble (or is just taking a long time), the sync log is the most useful piece of information for figuring out what is wrong.

The current implementation keeps it hidden until after the sync job is complete - that is unusable in practice.
Comment 1 Nick Coghlan 2012-03-26 02:34:22 EDT
PulpDist 0.0.7 saves in-progress sync logs to /var/www/pub/pulpdist_sync_logs, where they can be easily made available via httpd. This is adequate for 0.1.0.

For 0.2.0, this will be updated to use the sync_progress() importer API call to make the information available via the Pulp REST API rather than a published directory on the web server.
Comment 2 Nick Coghlan 2012-03-28 02:49:54 EDT
*** Bug 805794 has been marked as a duplicate of this bug. ***
Comment 3 Nick Coghlan 2012-03-28 03:08:49 EDT
It turns out there are problems with the concept of storing the sync logs directly in the Pulp database. For large trees, this logs can be on the order of 20 MB or more - they belong on the filesystem, not in a database (NoSQL or otherwise). Having them directly in the sync history induces storage failures in MongoDB, and even if that wasn't the case, the presence of such large chunks of data is a big performance hit for affected REST API operations.

For the moment, the sync_log attributes are simply being removed from the metadata and replaced by a mechanism in the client that uses webbrowser.open_new_tab() to access the sync logs.

This bug will remain open until a more robust and flexible solution is devised.
Comment 4 Nick Coghlan 2016-09-28 23:04:31 EDT
Marking all remaining PulpDist issues as CLOSED-EOL

It doesn't make sense to leave these issues open, as PulpDist hasn't been in active development for quite some time, and restarting development would involve a significant modernisation effort that would likely render many of these requests irrelevant.

Note You need to log in before you can comment on or make changes to this bug.